Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.simple
Class OvalPortrayal2D

    java.lang.Object
      sim.portrayal.SimplePortrayal2D
          sim.portrayal.simple.OvalPortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

Direct Known Subclasses:
  CircledPortrayal2D

    public class OvalPortrayal2D

extends SimplePortrayal2D

A simple portrayal for 2D visualization of ovals. It extends the SimplePortrayal2D and it manages the drawing and hit-testing for oval shapes.

See Also:
  Serialized Form

Field Summary
`boolean` | `filled`
`protected double` | `offset`
`java.awt.Paint` | `paint`
`double` | `scale`

Fields inherited from class sim.portrayal.SimplePortrayal2D
`TYPE_HIT_OBJECT, TYPE_SELECTED_OBJECT`

Constructor Summary
`OvalPortrayal2D()`
`OvalPortrayal2D(double scale)`
`OvalPortrayal2D(double scale, boolean filled)`
`OvalPortrayal2D(java.awt.Paint paint)`
`OvalPortrayal2D(java.awt.Paint paint, boolean filled)`
`OvalPortrayal2D(java.awt.Paint paint, double scale)`
`OvalPortrayal2D(java.awt.Paint paint, double scale, boolean filled)`

Method Summary
`void` | `draw(java.lang.Object object, java.awt.Graphics2D graphics, DrawInfo2D info)` Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels.
`boolean` | `hitObject(java.lang.Object object, DrawInfo2D range)` If drawing area intersects selected area, add last portrayed object to the bag

Methods inherited from class sim.portrayal.SimplePortrayal2D
`getInspector, getName, getStatus, handleMouseEvent, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paint

    public java.awt.Paint paint

### scale

    public double scale

### filled

    public boolean filled

### offset

    protected double offset

Constructor Detail

### OvalPortrayal2D

    public OvalPortrayal2D()

### OvalPortrayal2D

    public OvalPortrayal2D(java.awt.Paint paint)

### OvalPortrayal2D

    public OvalPortrayal2D(double scale)

### OvalPortrayal2D

    public OvalPortrayal2D(java.awt.Paint paint,
                           double scale)

### OvalPortrayal2D

    public OvalPortrayal2D(java.awt.Paint paint,
                           boolean filled)

### OvalPortrayal2D

    public OvalPortrayal2D(double scale,
                           boolean filled)

### OvalPortrayal2D

    public OvalPortrayal2D(java.awt.Paint paint,
                           double scale,
                           boolean filled)

Method Detail

### draw

    public void draw(java.lang.Object object,
                     java.awt.Graphics2D graphics,
                     DrawInfo2D info)

  Description copied from interface: `Portrayal2D`
  Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels. The rectangle given by info.clip specifies the only region in which it is necessary to draw. If info.precise is true, try to draw using real-valued high-resolution drawing rather than faster integer drawing. It is possible that object is null. The location of the object in the field may (and may not) be stored in info.location. The form of that location varies depending on the kind of field used.

  Specified by:
    `draw` in interface `Portrayal2D`
  Overrides:
    `draw` in class `SimplePortrayal2D`

### hitObject

    public boolean hitObject(java.lang.Object object,
                             DrawInfo2D range)

  If drawing area intersects selected area, add last portrayed object to the bag

  Overrides:
    `hitObject` in class `SimplePortrayal2D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD